
From: Anton Blanchard <anton@samba.org>

vi fixup


---

 arch/ppc64/kernel/vio.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/vio.c~ppc64-vio-fixup arch/ppc64/kernel/vio.c
--- 25/arch/ppc64/kernel/vio.c~ppc64-vio-fixup	2004-01-14 00:02:09.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/vio.c	2004-01-14 00:02:09.000000000 -0800
@@ -149,8 +149,9 @@ vio_bus_init(void)
 	 * Functionally takes the place of pci_scan_bus
 	 */
 	node_vroot = find_devices("vdevice");
-	if (!node_vroot) {
-		printk(KERN_WARNING "%s: no /vdevice node\n", __FUNCTION__);
+	if ((node_vroot == NULL) || (node_vroot->child == NULL)) {
+		printk(KERN_INFO "VIO: missing or empty /vdevice node; no virtual IO"
+			" devices present.\n");
 		return 0;
 	}
 

_
